export const initialize: (appid: string, logdir: string, onevent: (id:number,event:ArrayBuffer)=>void) => number;
export const destroy: () => Promise<void>;
export const getSdkVersion: () => string;
export const setLogFile : (path:string) => number;
export const setLogFilter : (filter:number) => number;
export const setParameters : (parameters:string) => number;
export const enableEncryption : (enabled:boolean, encryptionMode:number, key:string, salt : ArrayBuffer) => number;
export const joinChannel: (token: string, channel: string, uid:number) => number;
export const leaveChannel: () => number;
export const pushVideoFrame: (frame: ArrayBuffer, width:number,height:number,rotation: number) => number;
export const setAudioProfile: (profile: number) => number;
export const setAudioScenario: (scenario: number) => number;
export const startAudioRecording: (filePath:string, quality:number) => number
export const stopAudioRecording: () => number
export const setupRemoteVideo: (xcomponentId: string,uid :number,renderMode:number,mirrorMode:number) => number;
export const setupLocalVideo: (xcomponentId: string,uid :number,renderMode:number,mirrorMode:number) => number;
export const registerEventCallback: (cb: (event: string) => void ) => number;
export const setChannelProfile: (profile: number) => number;
export const setClientRole: (profile: number) => number;
export const registerCameraFunctions: (functions: (()=>void)[]) => number;
export const enableVideo: () => number;
export const enableLocalVideo: (enabled: boolean) => number;
export const startPreview: () => number;
export const stopPreview: () => number;
export const muteLocalVideoStream: (muted:boolean) => number;
export const muteLocalAudioStream: (muted:boolean) => number;
export const startAudioMixing: (filepath:string, loopback: boolean, cycle:number) => number;
export const stopAudioMixing: () => number;
export const pauseAudioMixing:() => number;
export const resumeAudioMixing:() => number;
export const setAudioMixingPlaybackSpeed:(speed:number) => number;
export const getAudioMixingCurrentPosition: () => number;
export const setVideoEncoderConfiguration: (configuration: object) => number;
export const pushExternalVideoFrame: (videoframe: object) => boolean;
export const setExternalVideoSource: (enable:boolean, useTexture:boolean, sourceType: number) => number;
export const createCustomVideoTrack:() => number;
export const destroyCustomVideoTrack:(videoTrackId: number) => number;
export const getCurrentMonotonicTimeInMs:() => number;
export const joinChannelEx:(token: string, connection: object, options: object, onevent: (id:number,event:ArrayBuffer)=>void) => number;
export const pushExternalVideoFrameEx:(frame: object, videoTrackId: number) => number;
export const leaveChannelEx:(connection: object) => number;
export const startScreenCapture: () => number;
export const stopScreenCapture: () => number;
export const getCameraCaptureNapiObject:() => object;
export const setCameraInfoList:(list:object) => number;
export const setCameraSupportFormat:(index:number,list:object) => number;
export const switchCamera:() => number;
export const startRecording:(channelId:string,uid:number,islocal:boolean,path:string, format:number,type:number,duration:number,infoInterval:number) => number;
export const stopRecording:(channelId:string,uid:number,islocal:boolean) => number;
export const releaseRecorder:(channelId:string,uid:number,islocal:boolean) => number;
export const setMediaRecorderObserver:(channelId:string,uid:number,islocal:boolean,callback: ((info:object)=>void)[] | null) => number;
export const startLocalVideoTranscoder:(config:object) => number;
export const stopLocalVideoTranscoder:() => number;
export const updateLocalTranscoderConfiguration:(config:object) => number;
export const startCameraCapture:(sourceType:number,config:object) => number;
export const stopCameraCapture:(sourceType:number) => number;
export const updateChannelMediaOptions:(options:object) => number;
export const joinChannelWithOptions:(token:string, channelId:string, uid:number, options:object) =>number;