export class VideoDimensions {
    constructor(w, h) {
        this.width = w;
        this.height = h;
    }
}
export var ORIENTATION_MODE;
(function (ORIENTATION_MODE) {
    ORIENTATION_MODE[ORIENTATION_MODE["ORIENTATION_MODE_ADAPTIVE"] = 0] = "ORIENTATION_MODE_ADAPTIVE";
    ORIENTATION_MODE[ORIENTATION_MODE["ORIENTATION_MODE_FIXED_LANDSCAPE"] = 1] = "ORIENTATION_MODE_FIXED_LANDSCAPE";
    ORIENTATION_MODE[ORIENTATION_MODE["ORIENTATION_MODE_FIXED_PORTRAIT"] = 2] = "ORIENTATION_MODE_FIXED_PORTRAIT";
})(ORIENTATION_MODE || (ORIENTATION_MODE = {}));
export var DEGRADATION_PREFERENCE;
(function (DEGRADATION_PREFERENCE) {
    DEGRADATION_PREFERENCE[DEGRADATION_PREFERENCE["MAINTAIN_QUALITY"] = 0] = "MAINTAIN_QUALITY";
    DEGRADATION_PREFERENCE[DEGRADATION_PREFERENCE["MAINTAIN_FRAMERATE"] = 1] = "MAINTAIN_FRAMERATE";
    DEGRADATION_PREFERENCE[DEGRADATION_PREFERENCE["MAINTAIN_BALANCED"] = 2] = "MAINTAIN_BALANCED";
    DEGRADATION_PREFERENCE[DEGRADATION_PREFERENCE["MAINTAIN_RESOLUTION"] = 3] = "MAINTAIN_RESOLUTION";
    DEGRADATION_PREFERENCE[DEGRADATION_PREFERENCE["DISABLED"] = 100] = "DISABLED";
})(DEGRADATION_PREFERENCE || (DEGRADATION_PREFERENCE = {}));
export var MIRROR_MODE_TYPE;
(function (MIRROR_MODE_TYPE) {
    MIRROR_MODE_TYPE[MIRROR_MODE_TYPE["MIRROR_MODE_AUTO"] = 0] = "MIRROR_MODE_AUTO";
    MIRROR_MODE_TYPE[MIRROR_MODE_TYPE["MIRROR_MODE_ENABLED"] = 1] = "MIRROR_MODE_ENABLED";
    MIRROR_MODE_TYPE[MIRROR_MODE_TYPE["MIRROR_MODE_DISABLED"] = 2] = "MIRROR_MODE_DISABLED";
})(MIRROR_MODE_TYPE || (MIRROR_MODE_TYPE = {}));
export var ENCODING_PREFERENCE;
(function (ENCODING_PREFERENCE) {
    ENCODING_PREFERENCE[ENCODING_PREFERENCE["PREFER_AUTO"] = -1] = "PREFER_AUTO";
    ENCODING_PREFERENCE[ENCODING_PREFERENCE["PREFER_SOFTWARE"] = 0] = "PREFER_SOFTWARE";
    ENCODING_PREFERENCE[ENCODING_PREFERENCE["PREFER_HARDWARE"] = 1] = "PREFER_HARDWARE";
})(ENCODING_PREFERENCE || (ENCODING_PREFERENCE = {}));
export var COMPRESSION_PREFERENCE;
(function (COMPRESSION_PREFERENCE) {
    COMPRESSION_PREFERENCE[COMPRESSION_PREFERENCE["PREFER_LOW_LATENCY"] = 0] = "PREFER_LOW_LATENCY";
    COMPRESSION_PREFERENCE[COMPRESSION_PREFERENCE["PREFER_QUALITY"] = 1] = "PREFER_QUALITY";
})(COMPRESSION_PREFERENCE || (COMPRESSION_PREFERENCE = {}));
export class AdvanceOptions {
    constructor() {
        this.encodingPreference = ENCODING_PREFERENCE.PREFER_AUTO;
        this.compressionPreference = COMPRESSION_PREFERENCE.PREFER_LOW_LATENCY;
    }
}
export class VideoEncoderConfiguration {
    constructor() {
        this.dimensions = new VideoDimensions(960, 540);
        this.frameRate = 15;
        this.bitrate = 0;
        this.minBitrate = -1;
        this.orientationMode = ORIENTATION_MODE.ORIENTATION_MODE_ADAPTIVE;
        this.degradationPrefer = DEGRADATION_PREFERENCE.MAINTAIN_QUALITY;
        this.mirrorMode = MIRROR_MODE_TYPE.MIRROR_MODE_DISABLED;
        this.advanceOptions = new AdvanceOptions();
    }
}
