export var Constants;
(function (Constants) {
    Constants.AGORA_LIB_NAME = "agora_rtc_sdk";
    let AUDIO_PROFILE_TYPE;
    (function (AUDIO_PROFILE_TYPE) {
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_DEFAULT"] = 0] = "AUDIO_PROFILE_DEFAULT";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_SPEECH_STANDARD"] = 1] = "AUDIO_PROFILE_SPEECH_STANDARD";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_MUSIC_STANDARD"] = 2] = "AUDIO_PROFILE_MUSIC_STANDARD";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_MUSIC_STANDARD_STEREO"] = 3] = "AUDIO_PROFILE_MUSIC_STANDARD_STEREO";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_MUSIC_HIGH_QUALITY"] = 4] = "AUDIO_PROFILE_MUSIC_HIGH_QUALITY";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_MUSIC_HIGH_QUALITY_STEREO"] = 5] = "AUDIO_PROFILE_MUSIC_HIGH_QUALITY_STEREO";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_IOT"] = 6] = "AUDIO_PROFILE_IOT";
        AUDIO_PROFILE_TYPE[AUDIO_PROFILE_TYPE["AUDIO_PROFILE_NUM"] = 7] = "AUDIO_PROFILE_NUM";
    })(AUDIO_PROFILE_TYPE = Constants.AUDIO_PROFILE_TYPE || (Constants.AUDIO_PROFILE_TYPE = {}));
    let AUDIO_SCENARIO_TYPE;
    (function (AUDIO_SCENARIO_TYPE) {
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_DEFAULT"] = 0] = "AUDIO_SCENARIO_DEFAULT";
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_GAME_STREAMING"] = 3] = "AUDIO_SCENARIO_GAME_STREAMING";
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_CHATROOM"] = 5] = "AUDIO_SCENARIO_CHATROOM";
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_CHORUS"] = 7] = "AUDIO_SCENARIO_CHORUS";
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_MEETING"] = 8] = "AUDIO_SCENARIO_MEETING";
        AUDIO_SCENARIO_TYPE[AUDIO_SCENARIO_TYPE["AUDIO_SCENARIO_NUM"] = 9] = "AUDIO_SCENARIO_NUM";
    })(AUDIO_SCENARIO_TYPE = Constants.AUDIO_SCENARIO_TYPE || (Constants.AUDIO_SCENARIO_TYPE = {}));
    let AUDIO_RECORDING_QUALITY_TYPE;
    (function (AUDIO_RECORDING_QUALITY_TYPE) {
        AUDIO_RECORDING_QUALITY_TYPE[AUDIO_RECORDING_QUALITY_TYPE["AUDIO_RECORDING_QUALITY_LOW"] = 0] = "AUDIO_RECORDING_QUALITY_LOW";
        AUDIO_RECORDING_QUALITY_TYPE[AUDIO_RECORDING_QUALITY_TYPE["AUDIO_RECORDING_QUALITY_MEDIUM"] = 1] = "AUDIO_RECORDING_QUALITY_MEDIUM";
        AUDIO_RECORDING_QUALITY_TYPE[AUDIO_RECORDING_QUALITY_TYPE["AUDIO_RECORDING_QUALITY_HIGH"] = 2] = "AUDIO_RECORDING_QUALITY_HIGH";
        AUDIO_RECORDING_QUALITY_TYPE[AUDIO_RECORDING_QUALITY_TYPE["AUDIO_RECORDING_QUALITY_ULTRA_HIGH"] = 3] = "AUDIO_RECORDING_QUALITY_ULTRA_HIGH";
    })(AUDIO_RECORDING_QUALITY_TYPE = Constants.AUDIO_RECORDING_QUALITY_TYPE || (Constants.AUDIO_RECORDING_QUALITY_TYPE = {}));
    let ExternalVideoSourceType;
    (function (ExternalVideoSourceType) {
        ExternalVideoSourceType[ExternalVideoSourceType["VIDEO_FRAME"] = 0] = "VIDEO_FRAME";
        ExternalVideoSourceType[ExternalVideoSourceType["ENCODED_VIDEO_FRAME"] = 1] = "ENCODED_VIDEO_FRAME";
    })(ExternalVideoSourceType = Constants.ExternalVideoSourceType || (Constants.ExternalVideoSourceType = {}));
    let ClientRole;
    (function (ClientRole) {
        ClientRole[ClientRole["CLIENT_ROLE_AUDIENCE"] = 2] = "CLIENT_ROLE_AUDIENCE";
        ClientRole[ClientRole["CLIENT_ROLE_BROADCASTER"] = 1] = "CLIENT_ROLE_BROADCASTER";
    })(ClientRole = Constants.ClientRole || (Constants.ClientRole = {}));
    let ChannelProfile;
    (function (ChannelProfile) {
        ChannelProfile[ChannelProfile["CHANNEL_PROFILE_COMMUNICATION"] = 0] = "CHANNEL_PROFILE_COMMUNICATION";
        ChannelProfile[ChannelProfile["CHANNEL_PROFILE_LIVE_BROADCASTING"] = 1] = "CHANNEL_PROFILE_LIVE_BROADCASTING";
    })(ChannelProfile = Constants.ChannelProfile || (Constants.ChannelProfile = {}));
    let ErrorCode;
    (function (ErrorCode) {
        ErrorCode[ErrorCode["ERR_OK"] = 0] = "ERR_OK";
        ErrorCode[ErrorCode["ERR_FAILED"] = 1] = "ERR_FAILED";
        ErrorCode[ErrorCode["ERR_INVALID_ARGUMENT"] = 2] = "ERR_INVALID_ARGUMENT";
        ErrorCode[ErrorCode["ERR_NOT_READY"] = 3] = "ERR_NOT_READY";
        ErrorCode[ErrorCode["ERR_NOT_SUPPORTED"] = 4] = "ERR_NOT_SUPPORTED";
        ErrorCode[ErrorCode["ERR_REFUSED"] = 5] = "ERR_REFUSED";
        ErrorCode[ErrorCode["ERR_BUFFER_TOO_SMALL"] = 6] = "ERR_BUFFER_TOO_SMALL";
        ErrorCode[ErrorCode["ERR_NOT_INITIALIZED"] = 7] = "ERR_NOT_INITIALIZED";
        ErrorCode[ErrorCode["ERR_INVALID_STATE"] = 8] = "ERR_INVALID_STATE";
        ErrorCode[ErrorCode["ERR_NO_PERMISSION"] = 9] = "ERR_NO_PERMISSION";
        ErrorCode[ErrorCode["ERR_TIMEDOUT"] = 10] = "ERR_TIMEDOUT";
        ErrorCode[ErrorCode["ERR_CANCELED"] = 11] = "ERR_CANCELED";
        ErrorCode[ErrorCode["ERR_TOO_OFTEN"] = 12] = "ERR_TOO_OFTEN";
        ErrorCode[ErrorCode["ERR_BIND_SOCKET"] = 13] = "ERR_BIND_SOCKET";
        ErrorCode[ErrorCode["ERR_NET_DOWN"] = 14] = "ERR_NET_DOWN";
        ErrorCode[ErrorCode["ERR_JOIN_CHANNEL_REJECTED"] = 17] = "ERR_JOIN_CHANNEL_REJECTED";
        ErrorCode[ErrorCode["ERR_LEAVE_CHANNEL_REJECTED"] = 18] = "ERR_LEAVE_CHANNEL_REJECTED";
        ErrorCode[ErrorCode["ERR_ALREADY_IN_USE"] = 19] = "ERR_ALREADY_IN_USE";
        ErrorCode[ErrorCode["ERR_ABORTED"] = 20] = "ERR_ABORTED";
        ErrorCode[ErrorCode["ERR_INIT_NET_ENGINE"] = 21] = "ERR_INIT_NET_ENGINE";
        ErrorCode[ErrorCode["ERR_RESOURCE_LIMITED"] = 22] = "ERR_RESOURCE_LIMITED";
        ErrorCode[ErrorCode["ERR_INVALID_APP_ID"] = 101] = "ERR_INVALID_APP_ID";
        ErrorCode[ErrorCode["ERR_INVALID_CHANNEL_NAME"] = 102] = "ERR_INVALID_CHANNEL_NAME";
        ErrorCode[ErrorCode["ERR_NO_SERVER_RESOURCES"] = 103] = "ERR_NO_SERVER_RESOURCES";
        ErrorCode[ErrorCode["ERR_TOKEN_EXPIRED"] = 109] = "ERR_TOKEN_EXPIRED";
        ErrorCode[ErrorCode["ERR_INVALID_TOKEN"] = 110] = "ERR_INVALID_TOKEN";
        ErrorCode[ErrorCode["ERR_CONNECTION_INTERRUPTED"] = 111] = "ERR_CONNECTION_INTERRUPTED";
        ErrorCode[ErrorCode["ERR_CONNECTION_LOST"] = 112] = "ERR_CONNECTION_LOST";
        ErrorCode[ErrorCode["ERR_NOT_IN_CHANNEL"] = 113] = "ERR_NOT_IN_CHANNEL";
        ErrorCode[ErrorCode["ERR_SIZE_TOO_LARGE"] = 114] = "ERR_SIZE_TOO_LARGE";
        ErrorCode[ErrorCode["ERR_BITRATE_LIMIT"] = 115] = "ERR_BITRATE_LIMIT";
        ErrorCode[ErrorCode["ERR_TOO_MANY_DATA_STREAMS"] = 116] = "ERR_TOO_MANY_DATA_STREAMS";
        ErrorCode[ErrorCode["ERR_STREAM_MESSAGE_TIMEOUT"] = 117] = "ERR_STREAM_MESSAGE_TIMEOUT";
        ErrorCode[ErrorCode["ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED"] = 119] = "ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED";
        ErrorCode[ErrorCode["ERR_DECRYPTION_FAILED"] = 120] = "ERR_DECRYPTION_FAILED";
        ErrorCode[ErrorCode["ERR_INVALID_USER_ID"] = 121] = "ERR_INVALID_USER_ID";
        ErrorCode[ErrorCode["ERR_DATASTREAM_DECRYPTION_FAILED"] = 122] = "ERR_DATASTREAM_DECRYPTION_FAILED";
        ErrorCode[ErrorCode["ERR_CLIENT_IS_BANNED_BY_SERVER"] = 123] = "ERR_CLIENT_IS_BANNED_BY_SERVER";
        ErrorCode[ErrorCode["ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH"] = 130] = "ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH";
        ErrorCode[ErrorCode["ERR_LICENSE_CREDENTIAL_INVALID"] = 131] = "ERR_LICENSE_CREDENTIAL_INVALID";
        ErrorCode[ErrorCode["ERR_INVALID_USER_ACCOUNT"] = 134] = "ERR_INVALID_USER_ACCOUNT";
        ErrorCode[ErrorCode["ERR_MODULE_NOT_FOUND"] = 157] = "ERR_MODULE_NOT_FOUND";
        ErrorCode[ErrorCode["ERR_CERT_RAW"] = 157] = "ERR_CERT_RAW";
        ErrorCode[ErrorCode["ERR_CERT_JSON_PART"] = 158] = "ERR_CERT_JSON_PART";
        ErrorCode[ErrorCode["ERR_CERT_JSON_INVAL"] = 159] = "ERR_CERT_JSON_INVAL";
        ErrorCode[ErrorCode["ERR_CERT_JSON_NOMEM"] = 160] = "ERR_CERT_JSON_NOMEM";
        ErrorCode[ErrorCode["ERR_CERT_CUSTOM"] = 161] = "ERR_CERT_CUSTOM";
        ErrorCode[ErrorCode["ERR_CERT_CREDENTIAL"] = 162] = "ERR_CERT_CREDENTIAL";
        ErrorCode[ErrorCode["ERR_CERT_SIGN"] = 163] = "ERR_CERT_SIGN";
        ErrorCode[ErrorCode["ERR_CERT_FAIL"] = 164] = "ERR_CERT_FAIL";
        ErrorCode[ErrorCode["ERR_CERT_BUF"] = 165] = "ERR_CERT_BUF";
        ErrorCode[ErrorCode["ERR_CERT_NULL"] = 166] = "ERR_CERT_NULL";
        ErrorCode[ErrorCode["ERR_CERT_DUEDATE"] = 167] = "ERR_CERT_DUEDATE";
        ErrorCode[ErrorCode["ERR_CERT_REQUEST"] = 168] = "ERR_CERT_REQUEST";
        ErrorCode[ErrorCode["ERR_PCMSEND_FORMAT"] = 200] = "ERR_PCMSEND_FORMAT";
        ErrorCode[ErrorCode["ERR_PCMSEND_BUFFEROVERFLOW"] = 201] = "ERR_PCMSEND_BUFFEROVERFLOW";
        ErrorCode[ErrorCode["ERR_LOGIN_ALREADY_LOGIN"] = 428] = "ERR_LOGIN_ALREADY_LOGIN";
        ErrorCode[ErrorCode["ERR_LOAD_MEDIA_ENGINE"] = 1001] = "ERR_LOAD_MEDIA_ENGINE";
        ErrorCode[ErrorCode["ERR_ADM_GENERAL_ERROR"] = 1005] = "ERR_ADM_GENERAL_ERROR";
        ErrorCode[ErrorCode["ERR_ADM_INIT_PLAYOUT"] = 1008] = "ERR_ADM_INIT_PLAYOUT";
        ErrorCode[ErrorCode["ERR_ADM_START_PLAYOUT"] = 1009] = "ERR_ADM_START_PLAYOUT";
        ErrorCode[ErrorCode["ERR_ADM_STOP_PLAYOUT"] = 1010] = "ERR_ADM_STOP_PLAYOUT";
        ErrorCode[ErrorCode["ERR_ADM_INIT_RECORDING"] = 1011] = "ERR_ADM_INIT_RECORDING";
        ErrorCode[ErrorCode["ERR_ADM_START_RECORDING"] = 1012] = "ERR_ADM_START_RECORDING";
        ErrorCode[ErrorCode["ERR_ADM_STOP_RECORDING"] = 1013] = "ERR_ADM_STOP_RECORDING";
        ErrorCode[ErrorCode["ERR_VDM_CAMERA_NOT_AUTHORIZED"] = 1501] = "ERR_VDM_CAMERA_NOT_AUTHORIZED";
    })(ErrorCode = Constants.ErrorCode || (Constants.ErrorCode = {}));
    let VideoSourceType;
    (function (VideoSourceType) {
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_CAMERA_PRIMARY"] = 0] = "VIDEO_SOURCE_CAMERA_PRIMARY";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_CAMERA_SECONDARY"] = 1] = "VIDEO_SOURCE_CAMERA_SECONDARY";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_SCREEN_PRIMARY"] = 2] = "VIDEO_SOURCE_SCREEN_PRIMARY";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_SCREEN_SECONDARY"] = 3] = "VIDEO_SOURCE_SCREEN_SECONDARY";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_CUSTOM"] = 4] = "VIDEO_SOURCE_CUSTOM";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_MEDIA_PLAYER"] = 5] = "VIDEO_SOURCE_MEDIA_PLAYER";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_RTC_IMAGE_PNG"] = 6] = "VIDEO_SOURCE_RTC_IMAGE_PNG";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_RTC_IMAGE_JPEG"] = 7] = "VIDEO_SOURCE_RTC_IMAGE_JPEG";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_RTC_IMAGE_GIF"] = 8] = "VIDEO_SOURCE_RTC_IMAGE_GIF";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_REMOTE"] = 9] = "VIDEO_SOURCE_REMOTE";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_TRANSCODED"] = 10] = "VIDEO_SOURCE_TRANSCODED";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_CAMERA_THIRD"] = 11] = "VIDEO_SOURCE_CAMERA_THIRD";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_CAMERA_FOURTH"] = 12] = "VIDEO_SOURCE_CAMERA_FOURTH";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_SPEECH_DRIVEN"] = 15] = "VIDEO_SOURCE_SPEECH_DRIVEN";
        VideoSourceType[VideoSourceType["VIDEO_SOURCE_UNKNOWN"] = 100] = "VIDEO_SOURCE_UNKNOWN";
    })(VideoSourceType = Constants.VideoSourceType || (Constants.VideoSourceType = {}));
    let LogFilter;
    (function (LogFilter) {
        LogFilter[LogFilter["LOG_FILTER_OFF"] = 0] = "LOG_FILTER_OFF";
        LogFilter[LogFilter["LOG_FILTER_DEBUG"] = 2063] = "LOG_FILTER_DEBUG";
        LogFilter[LogFilter["LOG_FILTER_INFO"] = 15] = "LOG_FILTER_INFO";
        LogFilter[LogFilter["LOG_FILTER_WARNING"] = 14] = "LOG_FILTER_WARNING";
        LogFilter[LogFilter["LOG_FILTER_ERROR"] = 12] = "LOG_FILTER_ERROR";
        LogFilter[LogFilter["LOG_FILTER_CRITICAL"] = 8] = "LOG_FILTER_CRITICAL";
    })(LogFilter = Constants.LogFilter || (Constants.LogFilter = {}));
    let CameraDirection;
    (function (CameraDirection) {
        CameraDirection[CameraDirection["CAMERA_REAR"] = 0] = "CAMERA_REAR";
        CameraDirection[CameraDirection["CAMERA_FRONT"] = 1] = "CAMERA_FRONT";
    })(CameraDirection = Constants.CameraDirection || (Constants.CameraDirection = {}));
})(Constants || (Constants = {}));
