export class Buffer {
    getWidth() {
        return this.width;
    }
    getHeight() {
        return this.height;
    }
    constructor(width, height) {
        this.width = width;
        this.height = height;
    }
}
export class I420Buffer extends Buffer {
    getDataY() {
        return this.dataY;
    }
    getDataU() {
        return this.dataU;
    }
    getDataV() {
        return this.dataV;
    }
    getStrideY() {
        return this.strideY;
    }
    getStrideU() {
        return this.strideU;
    }
    getStrideV() {
        return this.strideV;
    }
    constructor(width, height, dataY, strideY, dataU, strideU, dataV, strideV) {
        super(width, height);
        this.dataY = dataY;
        this.dataU = dataU;
        this.dataV = dataV;
        this.strideY = strideY;
        this.strideU = strideU;
        this.strideV = strideV;
    }
}
export var VIDEO_BUFFER_TYPE;
(function (VIDEO_BUFFER_TYPE) {
    VIDEO_BUFFER_TYPE[VIDEO_BUFFER_TYPE["VIDEO_BUFFER_RAW_DATA"] = 1] = "VIDEO_BUFFER_RAW_DATA";
    VIDEO_BUFFER_TYPE[VIDEO_BUFFER_TYPE["VIDEO_BUFFER_ARRAY"] = 2] = "VIDEO_BUFFER_ARRAY";
    VIDEO_BUFFER_TYPE[VIDEO_BUFFER_TYPE["VIDEO_BUFFER_TEXTURE"] = 3] = "VIDEO_BUFFER_TEXTURE";
})(VIDEO_BUFFER_TYPE || (VIDEO_BUFFER_TYPE = {}));
export var VIDEO_PIXEL_FORMAT;
(function (VIDEO_PIXEL_FORMAT) {
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_I420"] = 1] = "VIDEO_PIXEL_I420";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_BGRA"] = 2] = "VIDEO_PIXEL_BGRA";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_NV21"] = 3] = "VIDEO_PIXEL_NV21";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_RGBA"] = 4] = "VIDEO_PIXEL_RGBA";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_NV12"] = 8] = "VIDEO_PIXEL_NV12";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_TEXTURE_2D"] = 10] = "VIDEO_TEXTURE_2D";
    VIDEO_PIXEL_FORMAT[VIDEO_PIXEL_FORMAT["VIDEO_PIXEL_I422"] = 16] = "VIDEO_PIXEL_I422";
})(VIDEO_PIXEL_FORMAT || (VIDEO_PIXEL_FORMAT = {}));
;
export class VideoFrame {
    constructor(type, format) {
        this.buffer = null;
        this.rotation = 0;
        this.timestamp = 0;
        this.stride = 0;
        this.height = 0;
        this.type = VIDEO_BUFFER_TYPE.VIDEO_BUFFER_RAW_DATA;
        this.format = VIDEO_PIXEL_FORMAT.VIDEO_PIXEL_NV21;
        this.type = type;
        this.format = format;
    }
}
