import camera from '@ohos.multimedia.camera';
import image from '@ohos.multimedia.image';
import { VideoFrame, VIDEO_BUFFER_TYPE, VIDEO_PIXEL_FORMAT } from "../../a/m";
import { TsInt } from "../../q/t";
import { CameraInfo, VideoCaptureCapability, CaptureConfig } from "../../q/r";
export function getCameraInfo(context) {
    let t5 = camera.getCameraManager(context);
    let u5 = t5.getSupportedCameras();
    let count = u5.length;
    let v5 = new Array();
    for (let w5 = 0; w5 < count; w5++) {
        let info = new CameraInfo();
        info.index = w5;
        info.cameraPosition = u5[w5].cameraPosition;
        info.cameraType = u5[w5].cameraType;
        info.connectionType = u5[w5].connectionType;
        v5.push(info);
    }
    return v5;
}
export function getDeviceSupportedFormats(context, index) {
    let o5 = camera.getCameraManager(context);
    let p5 = o5.getSupportedCameras();
    let capabilities = new Array();
    if (index >= p5.length || index < 0) {
        return capabilities;
    }
    let item = p5[index];
    let q5 = o5.getSupportedOutputCapability(item);
    let r5 = q5.videoProfiles;
    for (let profile of r5) {
        let s5 = new VideoCaptureCapability();
        s5.width = profile.size.width;
        s5.height = profile.size.height;
        s5.maxFramerate = profile.frameRateRange.max;
        s5.pixelFormat = profile.format;
        capabilities.push(s5);
    }
    return capabilities;
}
export var b4;
(function (n5) {
    n5[n5["f1"] = 0] = "kUnknown";
    n5[n5["g1"] = 1] = "kI420";
    n5[n5["h1"] = 13] = "kNV21";
    n5[n5["o1"] = 14] = "kNV12";
    n5[n5["q1"] = 16] = "kRGBA";
})(b4 || (b4 = {}));
export var ColorSpace;
(function (ColorSpace) {
})(ColorSpace || (ColorSpace = {}));
export var c4;
(function (m5) {
})(c4 || (c4 = {}));
export class i1 {
    constructor() {
        this.mContext = null;
        this.s1 = undefined;
        this.t1 = undefined;
        this.u1 = undefined;
        this.v1 = false;
        this.w1 = 960;
        this.z1 = 540;
        this.a2 = new CaptureConfig();
        this.b2 = 30;
        this.c2 = undefined;
        this.d2 = 1;
        this.e2 = BigInt(0);
        this.f2 = 90;
        this.imageArrival = (frame, width, height, rotation) => {
        };
    }
    init(context) {
        this.mContext = context;
    }
    m(deviceId) {
        this.d2 = deviceId;
    }
    o(k5) {
        this.e2 = k5;
    }
    t(callback) {
        this.c2 = callback;
    }
    g2() {
        return this.d2;
    }
    switchCamera() {
        this.a1().then(() => {
            if (this.d2 == 0) {
                this.d2 = 1;
            }
            else if (this.d2 == 1) {
                this.d2 = 0;
            }
            this.u(this.a2);
        }).catch(() => {
        });
    }
    h2() {
        let d5 = camera.getCameraManager(getContext());
        let e5 = d5.getSupportedCameras();
        for (let item of e5) {
            let f5 = d5.getSupportedOutputCapability(item);
            let g5 = f5.videoProfiles;
            for (let profile of g5) {
            }
            let h5 = f5.photoProfiles;
            for (let profile of h5) {
            }
        }
    }
    setCameraProfile(width, height, fps) {
        if (width > height) {
            this.w1 = width;
            this.z1 = height;
        }
        else {
            this.w1 = height;
            this.z1 = width;
        }
        this.b2 = fps;
    }
    getCameraManager(context) {
        let c5 = camera.getCameraManager(context);
        return c5;
    }
    on(type, callback) {
        this.imageArrival = callback;
    }
    async u(config) {
        var p4;
        if (this.mContext == null)
            return;
        this.v1 = false;
        this.w1 = config.width;
        this.z1 = config.height;
        this.a2 = config;
        let q4 = this.getCameraManager(this.mContext);
        let r4 = this.i2(q4);
        let s4 = r4.length > this.d2 ? r4[this.d2] : undefined;
        let t4 = this.d2 == 0 ? 90 : 270;
        if (s4 == undefined) {
            return;
        }
        this.s1 = this.j2(q4);
        if (this.s1 == undefined)
            return;
        this.s1.beginConfig();
        try {
            this.t1 = q4.createCameraInput(s4);
        }
        catch (error) {
            let err = error;
            (p4 = this.c2) === null || p4 === void 0 ? void 0 : p4.OnError(this.e2, new TsInt(err.code));
        }
        if (this.t1 == undefined)
            return;
        await this.t1.open();
        let u4 = q4.getSupportedOutputCapability(s4);
        try {
            this.s1.addInput(this.t1);
        }
        catch (error) {
            let err = error;
        }
        let v4 = image.createImageReceiver(this.w1, this.z1, 4, 8);
        let w4;
        if (v4 != undefined) {
            w4 = await v4.getReceivingSurfaceId();
            this.u1 = this.l2(q4, u4, w4);
            try {
                this.s1.addOutput(this.u1);
            }
            catch (error) {
                let err = error;
            }
        }
        else {
        }
        v4.on('imageArrival', () => {
            v4.readNextImage((err, z4) => {
                if (err || z4 === undefined) {
                    return;
                }
                z4.getComponent(image.ComponentType.JPEG, (err, b5) => {
                    if (err || b5 === undefined) {
                        return;
                    }
                    if (b5.byteBuffer) {
                        if (this.c2 != undefined && this.v1) {
                            let frame = new VideoFrame(VIDEO_BUFFER_TYPE.VIDEO_BUFFER_RAW_DATA, VIDEO_PIXEL_FORMAT.VIDEO_PIXEL_NV21);
                            frame.buffer = b5.byteBuffer;
                            frame.stride = this.a2.width;
                            frame.height = this.a2.height;
                            frame.rotation = t4;
                            this.c2.OnNV21FrameAvailable(this.e2, frame);
                        }
                        z4.release();
                    }
                    else {
                        return;
                    }
                });
            });
        });
        await this.s1.commitConfig();
        await this.s1.start();
        this.v1 = true;
    }
    async a1() {
        this.v1 = false;
        if (this.s1 != undefined && this.t1 != undefined) {
            try {
                if (this.u1 != undefined) {
                    this.u1.stop((err) => {
                        if (err) {
                            return;
                        }
                    });
                }
                await this.s1.stop();
                await this.t1.close();
                if (this.u1 != undefined)
                    this.u1.release();
                this.s1.release();
            }
            catch (err) {
            }
        }
        return Promise.resolve();
    }
    l2(k4, l4, surfaceId) {
        let m4 = l4.previewProfiles;
        let n4 = undefined;
        try {
            for (let index = 0; index < m4.length; index++) {
                if (m4[index].size.width >= this.w1 && m4[index].size.height >= this.z1) {
                    n4 = k4.createPreviewOutput(m4[index], surfaceId);
                    this.b2 = l4.videoProfiles[index].frameRateRange.max;
                    this.w1 = m4[index].size.width;
                    this.z1 = m4[index].size.height;
                    return n4;
                }
            }
        }
        catch (error) {
            let err = error;
        }
        return n4;
    }
    j2(i4) {
        let j4 = undefined;
        try {
            j4 = i4.createCaptureSession();
        }
        catch (error) {
            let err = error;
        }
        return j4;
    }
    i2(g4) {
        let h4 = g4.getSupportedCameras();
        if (h4 != undefined && h4.length > 0) {
            for (let index = 0; index < h4.length; index++) {
            }
            return h4;
        }
        else {
            return [];
        }
    }
}
