import { RtcStats } from "../a/e";
import { x5, y5 } from "./v";
export class j1 {
    constructor(eventHandler, connection) {
        this.eventHandler = eventHandler;
        this.connection = connection;
    }
    static m2(k6, msg) {
        k6.duration = msg.n2();
        k6.rtcTxRxBytes.tx_bytes = msg.n2();
        k6.rtcTxRxBytes.rx_bytes = msg.n2();
        k6.audioTxRxBytes.tx_bytes = msg.n2();
        k6.audioTxRxBytes.rx_bytes = msg.n2();
        k6.videoTxRxBytes.tx_kbps = msg.o2();
        k6.videoTxRxBytes.rx_kbps = msg.o2();
        k6.rtc_kbitrate.tx_kbps = msg.o2();
        k6.rtc_kbitrate.rx_kbps = msg.o2();
        k6.audio_kbitrate.tx_kbps = msg.o2();
        k6.audio_kbitrate.rx_kbps = msg.o2();
        k6.video_kbitrate.tx_kbps = msg.o2();
        k6.video_kbitrate.rx_kbps = msg.o2();
        k6.lastmileDelay.tx_loss_rate = msg.n2();
        k6.lastmileDelay.rx_loss_rate = msg.n2();
        k6.loss_rate.tx_loss_rate = msg.n2();
        k6.loss_rate.rx_loss_rate = msg.n2();
        k6.cpuTotalUsage = msg.n2();
        k6.gatewayRtt = msg.n2();
        k6.cpuAppUsage = msg.n2();
        k6.memoryAppUsageRatio = msg.q2();
        k6.memoryTotalUsageRatio = msg.q2();
        k6.memoryAppUsageInKbytes = msg.n2();
        k6.userCount = msg.n2();
        k6.connectTimeMs = msg.n2();
    }
    onEvent(eventId, event) {
        let msg = new x5(event);
        switch (eventId) {
            case y5.s2:
                {
                    let length = msg.o2();
                    let uid = msg.n2();
                    let j6 = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onUserJoined != undefined)
                            this.eventHandler.onUserJoined(uid, j6);
                    }
                }
                break;
            case y5.t2:
                {
                    let length = msg.o2();
                    let uid = msg.n2();
                    let reason = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onUserOffline != undefined)
                            this.eventHandler.onUserOffline(uid, reason);
                    }
                }
                break;
            case y5.u2:
                {
                    let length = msg.o2();
                    let g6 = msg.o2();
                    let h6 = msg.v2(g6);
                    let uid = msg.n2();
                    let i6 = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onJoinChannelSuccess != undefined)
                            this.eventHandler.onJoinChannelSuccess(h6, uid, i6);
                    }
                }
                break;
            case y5.w2:
                {
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onLeaveChannel != undefined)
                            this.eventHandler.onLeaveChannel(null);
                    }
                }
                break;
            case y5.z2:
                {
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onConnectionLost != undefined)
                            this.eventHandler.onConnectionLost();
                    }
                }
                break;
            case y5.a3:
                {
                    if (this.eventHandler != null) {
                        let length = msg.o2();
                        let uid = msg.n2();
                        let e6 = msg.n2();
                        let f6 = msg.n2();
                        if (this.eventHandler.onNetworkQuality != undefined)
                            this.eventHandler.onNetworkQuality(uid, e6, f6);
                    }
                }
                break;
            case y5.b3:
                {
                    if (this.eventHandler != null) {
                        let length = msg.o2();
                        let state = msg.n2();
                        let reason = msg.n2();
                        if (this.eventHandler.onConnectionStateChanged != undefined)
                            this.eventHandler.onConnectionStateChanged(state, reason);
                    }
                }
                break;
            case y5.c3:
                {
                    if (this.eventHandler != null) {
                        let d6 = new RtcStats();
                        let length = msg.o2();
                        j1.m2(d6, msg);
                        if (this.eventHandler.onRtcStats != undefined) {
                            this.eventHandler.onRtcStats(d6);
                        }
                    }
                }
                break;
            case y5.d3:
                {
                    let length = msg.o2();
                    let b6 = msg.n2();
                    let uid = msg.n2();
                    let c6 = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onRejoinChannelSuccess != undefined)
                            this.eventHandler.onRejoinChannelSuccess(b6, uid, c6);
                    }
                }
                break;
            case y5.e3:
                {
                    let length = msg.o2();
                    let uid = msg.n2();
                    let state = msg.f3();
                    let reason = msg.f3();
                    let a6 = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onRemoteAudioStateChanged != undefined)
                            this.eventHandler.onRemoteAudioStateChanged(uid, state, reason, a6);
                    }
                }
                break;
            case y5.g3:
                {
                    let length = msg.o2();
                    let uid = msg.n2();
                    let state = msg.f3();
                    let reason = msg.f3();
                    let z5 = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onRemoteVideoStateChanged != undefined)
                            this.eventHandler.onRemoteVideoStateChanged(uid, state, reason, z5);
                    }
                }
                break;
            case y5.h3:
                {
                    let length = msg.o2();
                    let state = msg.n2();
                    let reason = msg.n2();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onAudioMixingStateChanged != undefined)
                            this.eventHandler.onAudioMixingStateChanged(state, reason);
                    }
                }
                break;
            case y5.i3:
                {
                    let length = msg.o2();
                    let position = msg.j3();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onAudioMixingPositionChanged != undefined)
                            this.eventHandler.onAudioMixingPositionChanged(position);
                    }
                }
                break;
            case y5.l3:
                {
                    let length = msg.o2();
                    let source = msg.f3();
                    let state = msg.f3();
                    let error = msg.f3();
                    if (this.eventHandler != null) {
                        if (this.eventHandler.onLocalVideoStateChanged != undefined)
                            this.eventHandler.onLocalVideoStateChanged(source, state, error);
                    }
                }
                break;
            case y5.m3:
                let length = msg.o2();
                let state = msg.f3();
                let error = msg.f3();
                if (this.eventHandler != null) {
                    if (this.eventHandler.onLocalAudioStateChanged != undefined)
                        this.eventHandler.onLocalAudioStateChanged(state, error);
                }
            default:
                break;
        }
    }
}
