import { AgoraMediaRecorder, RecorderInfo, RecorderStreamInfo } from "../a/l";
import x3 from 'libagora_rtc_sdk.so';
export class m1 extends AgoraMediaRecorder {
    constructor(info) {
        super();
        this.b1 = false;
        this.c1 = null;
        this.d1 = new RecorderStreamInfo();
        this.d1 = info;
        if (info.channelId == null) {
            this.d1.channelId = "";
        }
    }
    static e1(info) {
        return info === null || info === void 0 ? void 0 : info.channelId;
    }
    static getUserId(info) {
        return info != null ? info.uid : 0;
    }
    setMediaRecorderObserver(callback) {
        if (callback != null) {
            let func = [
                (info) => {
                    let channelId = info['channelId'];
                    let uid = info['uid'];
                    let state = info['state'];
                    let reason = info['reason'];
                    callback.onRecorderStateChanged(channelId, uid, state, reason);
                    return 0;
                },
                (info) => {
                    let filename = info['fileName'];
                    let channelId = info['channelId'];
                    let durationMs = info['durationMs'];
                    let fileSize = info['fileSize'];
                    let uid = info['uid'];
                    let a4 = new RecorderInfo(filename, durationMs, fileSize);
                    callback.onRecorderInfoUpdated(channelId, uid, a4);
                    return 0;
                },
            ];
            return x3.setMediaRecorderObserver(this.d1.channelId, this.d1.uid, true, func);
        }
        else {
            return x3.setMediaRecorderObserver(this.d1.channelId, this.d1.uid, true, null);
        }
    }
    startRecording(config) {
        return x3.startRecording(this.d1.channelId, this.d1.uid, true, config.storagePath, config.containerFormat, config.streamType, config.maxDurationMs, config.recorderInfoUpdateInterval);
    }
    stopRecording() {
        return x3.stopRecording(this.d1.channelId, this.d1.uid, true);
    }
    release() {
        x3.releaseRecorder(this.d1.channelId, this.d1.uid, true);
        return;
    }
}
